Package com.scriptel.proscript

## Class OutputConfiguration

- java.lang.Object
- - com.scriptel.proscript.OutputConfiguration

-     public class OutputConfiguration
      extends java.lang.Object

  This class represents output parameters of a ScripTouch device.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `COMPRESSION_MODE_HIRES_COMPRESSED` | Compression mode where coordinates are returned in high resolution compressed.
    `static int` | `COMPRESSION_MODE_HIRES_UNCOMPRESSED` | Compression mode where coordinates are returned in high resolution uncompressed.
    `static int` | `COMPRESSION_MODE_LORES_COMPRESSED` | Compression mode where coordinates are returned in low resolution compressed.
    `static int` | `COMPRESSION_MODE_LORES_UNCOMPRESSED` | Compression mode where coordinates are returned in low resolution and are not compressed.
    `static long` | `OUTPUT_CONFIGURATION_DEBUG_DATA` | Output configuration sending debug data.
    `static long` | `OUTPUT_CONFIGURATION_KEYBOARD` | Output configuration using device as a keyboard.
    `static long` | `OUTPUT_CONFIGURATION_MOUSE` | Output configuration using device as a mouse cursor.
    `static long` | `OUTPUT_CONFIGURATION_OEM` | Output configuration using vender specific output.
    `static long` | `OUTPUT_CONFIGURATION_OEM_EXTENDED` | Output configuration using vender specific output with extended data.
    `static long` | `OUTPUT_CONFIGURATION_PEN_DIGITIZER` | Output configuration using device as a pen digitizer.
    `static long` | `OUTPUT_CONFIGURATION_RAW_DATA` | Output configuration sending raw signature data.
    `static long` | `OUTPUT_CONFIGURATION_TOUCH` | Output configuration using device with touch input.
    `static int` | `OUTPUT_MODE_ON_CONFIRM` | Output mode where coordinates are sent on confirm (usually by pressing "OK").
    `static int` | `OUTPUT_MODE_ON_HOST_COMMAND` | Output mode where coordinates are buffered until a command from the host.
    `static int` | `OUTPUT_MODE_REALTIME` | Output mode where coordinates are sent in real time as they're captured.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutputConfiguration()` | Default constructor which can be used to set the output configuration without first reading it.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCompressionMode()` | Gets the current EasyScript compression mode.
    `int` | `getOutputMode()` | Get the output mode, corresponds to the OUTPUT_MODE constants.
    `long` | `getOutputReport()` | Gets the output report, currently reserved for future use
    `int` | `getPacketsPerSecond()` | gets the rate at which packets will be sent.
    `boolean` | `isCompressionEnabled()` | Is compression enabled?
    `boolean` | `isCompressionHiRes()` | is compression set to high res or low res (0-2999 or 0-499) for keyboard output?
    `void` | `setCompressionEnabled​(boolean compressionEnabled)` | Set compression
    `void` | `setCompressionHiRes​(boolean hiRes)` | set compression to low res (0-499) or high res (0-2999) for keyboard output.
    `void` | `setCompressionMode​(int mode)` | Sets the current EasyScript compression mode.
    `void` | `setLoadFactorySettings()` | sets the load factory settings flag so that the device will reload all factory settings for output configuration
    `void` | `setOutputMode​(int outputMode)` | Set the output mode, corresponds to the OUTPUT_MODE constants.
    `void` | `setOutputReport​(long outputReport)` | Sets the output report, currently reserved for future use
    `void` | `setPacketsPerSecond​(int packetsPerSecond)` | sets the rate at which packets will be sent (packets per second), 0 = as fast as possible.
    `void` | `setSaveAsDefault()` | sets the save as default flag so that the device will save the output configuration.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OUTPUT_MODE_REALTIME

          public static final int OUTPUT_MODE_REALTIME

      Output mode where coordinates are sent in real time as they're captured.
      See Also:
        Constant Field Values

    - #### OUTPUT_MODE_ON_CONFIRM

          public static final int OUTPUT_MODE_ON_CONFIRM

      Output mode where coordinates are sent on confirm (usually by pressing "OK").
      See Also:
        Constant Field Values

    - #### OUTPUT_MODE_ON_HOST_COMMAND

          public static final int OUTPUT_MODE_ON_HOST_COMMAND

      Output mode where coordinates are buffered until a command from the host.
      See Also:
        Constant Field Values

    - #### COMPRESSION_MODE_LORES_UNCOMPRESSED

          public static final int COMPRESSION_MODE_LORES_UNCOMPRESSED

      Compression mode where coordinates are returned in low resolution and are not compressed. EasyScript devices only.
      See Also:
        Constant Field Values

    - #### COMPRESSION_MODE_LORES_COMPRESSED

          public static final int COMPRESSION_MODE_LORES_COMPRESSED

      Compression mode where coordinates are returned in low resolution compressed. EasyScript devices only, not supported on most devices.
      See Also:
        Constant Field Values

    - #### COMPRESSION_MODE_HIRES_UNCOMPRESSED

          public static final int COMPRESSION_MODE_HIRES_UNCOMPRESSED

      Compression mode where coordinates are returned in high resolution uncompressed. EasyScript devices only, not supported on most devices.
      See Also:
        Constant Field Values

    - #### COMPRESSION_MODE_HIRES_COMPRESSED

          public static final int COMPRESSION_MODE_HIRES_COMPRESSED

      Compression mode where coordinates are returned in high resolution compressed. EasyScript devices only, may not be supported on all devices.
      See Also:
        Constant Field Values

    - #### OUTPUT_CONFIGURATION_OEM

          public static final long OUTPUT_CONFIGURATION_OEM

      Output configuration using vender specific output. Used by Scriptel, does not apply to signature pads.
      See Also:
        Constant Field Values

    - #### OUTPUT_CONFIGURATION_OEM_EXTENDED

          public static final long OUTPUT_CONFIGURATION_OEM_EXTENDED

      Output configuration using vender specific output with extended data. ProScript mode.
      See Also:
        Constant Field Values

    - #### OUTPUT_CONFIGURATION_MOUSE

          public static final long OUTPUT_CONFIGURATION_MOUSE

      Output configuration using device as a mouse cursor. USB device type, not used on signature pads.
      See Also:
        Constant Field Values

    - #### OUTPUT_CONFIGURATION_PEN_DIGITIZER

          public static final long OUTPUT_CONFIGURATION_PEN_DIGITIZER

      Output configuration using device as a pen digitizer. USB device type, not used on signature pads.
      See Also:
        Constant Field Values

    - #### OUTPUT_CONFIGURATION_TOUCH

          public static final long OUTPUT_CONFIGURATION_TOUCH

      Output configuration using device with touch input. USB device type, not used on signature pads.
      See Also:
        Constant Field Values

    - #### OUTPUT_CONFIGURATION_KEYBOARD

          public static final long OUTPUT_CONFIGURATION_KEYBOARD

      Output configuration using device as a keyboard. EasyScript mode.
      See Also:
        Constant Field Values

    - #### OUTPUT_CONFIGURATION_RAW_DATA

          public static final long OUTPUT_CONFIGURATION_RAW_DATA

      Output configuration sending raw signature data. Used by Scriptel.
      See Also:
        Constant Field Values

    - #### OUTPUT_CONFIGURATION_DEBUG_DATA

          public static final long OUTPUT_CONFIGURATION_DEBUG_DATA

      Output configuration sending debug data. Used by Scriptel.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OutputConfiguration

          public OutputConfiguration()

      Default constructor which can be used to set the output configuration without first reading it.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string

    - #### getOutputReport

          public long getOutputReport()

      Gets the output report, currently reserved for future use
      Returns:
        output report, currently reserved for future use

    - #### setOutputReport

          public void setOutputReport​(long outputReport)

      Sets the output report, currently reserved for future use
      Parameters:
        `outputReport` - TBD

    - #### getOutputMode

          public int getOutputMode()

      Get the output mode, corresponds to the OUTPUT_MODE constants.
      Returns:
        Output mode, see the OUTPUT_MODE constants for more information.

    - #### setOutputMode

          public void setOutputMode​(int outputMode)

      Set the output mode, corresponds to the OUTPUT_MODE constants.
      Parameters:
        `outputMode` - OUTPUT_MODE constant to use.

    - #### isCompressionEnabled

          public boolean isCompressionEnabled()

      Is compression enabled?
      Returns:
        state

    - #### setCompressionEnabled

          public void setCompressionEnabled​(boolean compressionEnabled)

      Set compression
      Parameters:
        `compressionEnabled` - state

    - #### isCompressionHiRes

          public boolean isCompressionHiRes()

      is compression set to high res or low res (0-2999 or 0-499) for keyboard output?
      Returns:
        state

    - #### setCompressionHiRes

          public void setCompressionHiRes​(boolean hiRes)

      set compression to low res (0-499) or high res (0-2999) for keyboard output.
      Parameters:
        `hiRes` - state

    - #### getCompressionMode

          public int getCompressionMode()

      Gets the current EasyScript compression mode. Corresponds to the COMPRESSION_MODE constants.
      Returns:
        Compression mode, see COMPRESSION_MODE constants.

    - #### setCompressionMode

          public void setCompressionMode​(int mode)

      Sets the current EasyScript compression mode.
      Parameters:
        `mode` - Compression mode to use, see COMPRESSION_MODE constants.

    - #### getPacketsPerSecond

          public int getPacketsPerSecond()

      gets the rate at which packets will be sent. 0 = as fast as possible
      Returns:
        rate

    - #### setPacketsPerSecond

          public void setPacketsPerSecond​(int packetsPerSecond)

      sets the rate at which packets will be sent (packets per second), 0 = as fast as possible.
      Parameters:
        `packetsPerSecond` - value, 0 is as fast as possible

    - #### setSaveAsDefault

          public void setSaveAsDefault()

      sets the save as default flag so that the device will save the output configuration.

    - #### setLoadFactorySettings

          public void setLoadFactorySettings()

      sets the load factory settings flag so that the device will reload all factory settings for output configuration